# -*- coding: utf-8 -*-

ALL_ERRORS = set(['ENGLISH_WORD_REPEAT_RULE',
 'A_INFINITVE',
 'A_LOT_OF_NN',
 'A_PLURAL',
 'A_RB_NN',
 'A_UNCOUNTABLE',
 'ADMIT_ENJOY_VB',
 'ADVERB_WORD_ORDER',
 'ADVISE_VBG',
 'AFFORD_VB',
 'AFFORD_VBG',
 'AGREEMENT_SENT_START',
 'ALLOW_TO',
 'AM_I',
 'AS_ADJ_AS',
 'BE_USE_TO_DO',
 'BECAUSE_OF_I',
 'BEEN_PART_AGREEMENT',
 'BOTH_AS_WELL_AS',
 'CD_NN',
 'COMP_THAN',
 'DID_BASEFORM',
 'DID_PAST',
 'DOES_NP_VBZ',
 'DOES_X_HAS',
 'DONT_NEEDS',
 'DT_JJ_NO_NOUN',
 'EACH_EVERY_NNS',
 'EQUALLY_AS',
 'FEWER_LESS',
 'HAD_VBP',
 'HAVE_PART_AGREEMENT',
 'HE_VERB_AGR',
 'I_AM',
 'IF_WOULD_HAVE_VBN',
 'IN_WHO',
 'IT_VBZ',
 'KIND_OF_A',
 'LOTS_OF_NN',
 'MANY_NN_U',
 'MANY_NN',
 'MASS_AGREEMENT',
 'MORE_A_JJ',
 'MOST_COMPARATIVE',
 'MOST_SOME_OF_NNS',
 'MOST_SUPERLATIVE',
 'MUCH_COUNTABLE',
 'NEEDNT_TO_DO_AND_DONT_NEED_DO',
 'NEEDS_FIXED',
 'NODT_DOZEN',
 'NON_ACTION_CONTINUOUS',
 'NON3PRS_VERB',
 'NOT_NOTHING',
 'ONE_PLURAL',
 'PERS_PRONOUN_AGREEMENT_SENT_START',
 'PREFER_TO_VBG',
 'PROGRESSIVE_VERBS',
 'PRP_PAST_PART',
 'PRP_RB_NO_VB',
 'REASON_IS_BECAUSE',
 'SENTENCE_FRAGMENT',
 'SHOULD_BE_DO',
 'SOME_NN_VBP',
 'SUPERIOR_THAN',
 'THE_NN_AND_THE_NN',
 'THE_PUNCT',
 'THE_SENT_END',
 'THE_SUPERLATIVE',
 'THERE_RE_MANY',
 'THERE_S_MANY',
 'THESE_ONES',
 'THIS_NNS',
 'TO_NON_BASE',
 'TOO_EITHER',
 'USE_TO_VERB',
 'WHO_NOUN',
 'WOMAN_WOMEN',
 'WORST_THAN',
 'ABOUT_ITS_NN',
 'AFFECT_EFFECT',
 'AFTERALL',
 'ALL_AND_ALL',
 'ALL_OF_THE_SUDDEN',
 'ALL_WAYS',
 'ALLTHOUGH',
 'ALLY_ALLAY',
 'ALONG_SIDE',
 'ALSO_KNOW',
 'AN_OTHER',
 'AND_THAN',
 'ANINFOR_EVERY_DAY',
 'ANY_BODY',
 'ANY_MORE',
 'ANY_WHERE',
 'APART_A_PART',
 'APART_FORM',
 'APOSTROPHE_PLURAL',
 'AS_OPPOSE_TO_AS_OPPOSED_TO',
 'ASK_WETHER',
 'BACK_FIRE',
 'BE_ALOUD_TO',
 'BE_CAUSE',
 'BEFORE_HAND',
 'BELIEVE_BELIEF',
 'BORED_OF',
 'BUILD_OFF_OF',
 'BUY_VBG',
 'CA_PRP',
 'CAN_BACKUP',
 'CANT',
 'COLD_COULD',
 'COMMA_THAN',
 'COMPARISONS_NNS_THEN',
 'COMPARISONS_THEN',
 'CONFUSION_OF_OUR_OUT',
 'COULD_CARE_LESS',
 'COULDVE_IRREGULAR_VERB',
 'DEPENDENT',
 'DOWN_SIDE',
 'EN_A_VS_AN',
 'EN_COMPOUNDS',
 'EN_CONTRACTION_SPELLING',
 'EVERY_SINCE',
 'EVERY_WHERE',
 'EVERYDAY_EVERY_DAY',
 'FIGURE_HEAD',
 'FOR_AWHILE',
 'FOR_FRO',
 'FOR_ITS_NN',
 'FROM_FORM',
 'GIVE_ADVISE',
 'HAND_AND_HAND',
 'HASNT_IRREGULAR_VERB',
 'HE_THE',
 'HEAVY_WEIGHT',
 'HOW_EVER',
 'HUMANS_BEINGS',
 'I_A',
 'I_LOWERCASE',
 'I_NEW',
 'IF_IS',
 'IM_AM',
 'IN_ANYWAY',
 'IN_PRP_THEN_IN_PRP',
 'IN_REGARD_TO',
 'IN_THE_MOMENT',
 'IS_SHOULD',
 'IS_WERE',
 'IT_IS',
 'IT_SEAMS',
 'IT_SELF',
 'ITS_IS',
 'ITS_JJ_NNSNN',
 'KNEW_NEW',
 'KNOW_NOW',
 'LESS_MORE_THEN',
 'LETS_LET',
 'LIFE_TIME',
 'LOOK_WATCH',
 'LOOSE_LOSE',
 'LOOSING_EFFORTRECORDSEASON',
 'MAY_BE',
 'MINUETS',
 'MODAL_OF',
 'MORFOLOGIK_RULE_EN_US',
 'NATION_WIDE',
 'NEWS_PAPER',
 'NOBLE_PRIZE',
 'NOW_A_DAYS',
 'NOW_AND_DAYS',
 'NOW',
 'NUT_NOT',
 'ON_GOING',
 'ON_OF_THE',
 'ON-GOING',
 'ONCE_AND_A_WHILE',
 'ONE_IN_THE_SAME',
 'ONE_OF_THE_ONLY',
 'ONE_THE_ONE_HAND',
 'OTHER_THEN',
 'OTHER_WISE_OTHERWISE',
 'OUT_COME',
 'OUT_SIDE',
 'OVER_LOOKED',
 'OVER_RATED',
 'OVER_SEAS',
 'PUT_FOURTH_THEAAN',
 'RATHER_THEN',
 'SENT_START_THEM',
 'SOME_HOW',
 'SOME_WHAT_JJ',
 'SOME_WHERE',
 'STALE_MATE',
 'SUPPOSE_TO',
 'TAKE_AWHILE',
 'THE_HOW',
 'THE_SOME_DAY',
 'THEIR_IS',
 'THEM_SELVES',
 'THERE_OWN',
 'THEY_WHERE',
 'THEYRE_THEIR',
 'THROUGH_OUT',
 'TO_TOO',
 'TO_VB_ITS_NN',
 'TOO_TO',
 'VB_A_WHILE',
 'VBG_YOURE',
 'VBZ_VBD',
 'WAN_T',
 'WAS_ALOUD',
 'WERE_ARE',
 'WERE_VBB',
 'WHERE_AS',
 'WHOS_NN',
 'WHOS',
 'WITH_OUT',
 'WORLD_WIDE',
 'WORTH_WHILE',
 'YOU_THING',
 'YOUR_NN',
 'YOUR',
 'ACTUAL_EXPERIENCE',
 'ADDED_BONUS',
 'AGREE_WITH_THE_FACT',
 'ALL_OF_THE',
 'AND_ETC',
 'ASK_THE_QUESTION',
 'BECAUSE_OF_THE_FACT_THAT',
 'BUT_NEVERTHELESS',
 'CLOSE_SCRUTINY',
 'DURING_THE_COURSE_OF',
 'ENGLISH_WORD_REPEAT_BEGINNING_RULE',
 'EVERY_NOW_AND_THEN',
 'EXACT_REPLICA',
 'FAMOUS_CELEBRITY',
 'FELLOW_CLASSMATE',
 'FEMALE_ACTOR',
 'FIRST_TIME_EVER',
 'GENERAL_XX',
 'IN_A_X_MANNER',
 'LARGE_NUMBER_OF',
 'LITTLE_BIT',
 'MAIN_FOCUS',
 'MAY_COULD_POSSIBLY',
 'NEITHER_NOR',
 'NEW_XX',
 'NOUN_AROUND_IT',
 'NUMEROUS_DIFFERENT',
 'ONE_AND_THE_SAME',
 'OVER_EXAGGERATED',
 'PAST_EXPERIENCE_MEMORY',
 'PERIOD_OF_TIME',
 'PERSONAL_OPINION_FRIENDSHIP',
 'RETURN_BACK',
 'SMALL_NUMBER_OF',
 'SO_AS_TO',
 'SO_THEREFORE',
 'SOME_OF_THE',
 'THE_FALL_SEASON',
 'TRY_AND',
 'VERY_UNIQUE',
 'WHETHER',
 'WHOLE_LOT',
 'WILL_IN_THE_FUTURE',
 'WITH_THE_EXCEPTION_OF',
 'APOS_ARE',
 'DOUBLE_PUNCTUATION',
 'EN_UNPAIRED_BRACKETS',
 'ONES',
 'OUT_OF_PLACE',
 'POSSESSIVE_APOSTROPHE',
 'SENT_START_CONJUNCTIVE_LINKING_ADVERB_COMMA',
 'UPPERCASE_SENTENCE_START',
 'YOUR_S',
 'YOURS_APOSTROPHE',
 'ALSO_SENT_END',
 'AN_ANOTHER',
 'DT_DT',
 'DT_PRP',
 'EN_QUOTES',
 'PHRASE_REPETITION',
 'THE_EXACTLY_THE',
 'WRONG_APOSTROPHE',
 'COMMA_PARENTHESIS_WHITESPACE',
 'SENTENCE_WHITESPACE'])